MNP lookup

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Introduction

MNPDB resolving API's are allowing you to discover information about a provided number by directly querying the mobile network portability databases.

Example response

[
  {
    "date": "2024-06-17T13:52:13.974Z",
    "mcc": "222",
    "mnc": "08",
    "msisdn": "393200103102",
    "omnc": "88",
    "originalNetwork": {
      "countryName": "Italy",
      "countryPrefix": "39",
      "networkName": "Wind"
    },
    "ported": true,
    "portedNetwork": {
      "countryName": "Italy",
      "countryPrefix": "39",
      "networkName": "Fastweb"
    },
    "price": 0,
    "response": 0
  }
]

Each response contains the following information:

  • date - time when the request was executed (ISO8601)
  • msisdn - the number for which the response has been returned
  • mcc - Mobile country code (learn more)
  • mnc - Mobile network code (learn more)
    • the mobile network code to which the number currently belongs
  • omnc - Original network code
    • Returned in case the ported flag is true
  • originalNetwork (The network to which number belongs)
    • countryName
    • countryPrefix
    • networkName
  • portedNetwork (The network to which the number belongs when ported)
    • countryName
    • countryPrefix
    • networkName
  • ported - Denotes whether the number has been ported
  • price - The price for this request
  • response - The response indicating the success or failure (see below)

Response values

ValueDescriptionAction
0Success✈️
1General errorRepeating the request won't yield different result
2Pricing not set

Contact

[email protected]

3Out of balance

Contact

[email protected]

4Throttled

Contact

[email protected]

5Invalid numberNumber length not valid
6Not resolvedNumber cannot be resolved due to missing coverage
7TimeoutNumber cannot be resolved due to timeout
8Missing permissions

Contact

[email protected]

Body Params
msisdn
array of strings
required
Defaults to 491734567890
msisdn*
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json